Add an asset to an internal wallet
Adds an asset to an existing internal wallet.
POST
/
internal_wallets
/
{walletId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<WalletAsset>> = fireblocks.internalWallets.createInternalWalletAsset(internalWalletsApiCreateInternalWalletAssetRequest);CompletableFuture<ApiResponse<WalletAsset>> response = fireblocks.internalWallets().createInternalWalletAsset(walletId, assetId, createInternalWalletAssetRequest, idempotencyKey);response = fireblocks.internal_wallets.create_internal_wallet_asset(wallet_id, asset_id, create_internal_wallet_asset_request, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/internal_wallets/{walletId}/{assetId} \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"tag": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({address: '<string>', tag: '<string>'})
};
fetch('https://api.fireblocks.io/v1/internal_wallets/{walletId}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"balance": "<string>",
"lockedAmount": "<string>",
"address": "<string>",
"tag": "<string>",
"activationTime": "<string>"
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the wallet
The ID of the asset to add
Body
application/json
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<WalletAsset>> = fireblocks.internalWallets.createInternalWalletAsset(internalWalletsApiCreateInternalWalletAssetRequest);CompletableFuture<ApiResponse<WalletAsset>> response = fireblocks.internalWallets().createInternalWalletAsset(walletId, assetId, createInternalWalletAssetRequest, idempotencyKey);response = fireblocks.internal_wallets.create_internal_wallet_asset(wallet_id, asset_id, create_internal_wallet_asset_request, idempotency_key);